BatchGetChannel
Performs GetChannel on multiple ARNs simultaneously.
Request Syntax
POST /BatchGetChannel HTTP/1.1
Content-type: application/json
{
"arns": [ "string" ]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- arns
-
Array of ARNs, one per channel.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 50 items.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
arn:aws:ivs:[a-z0-9-]+:[0-9]+:channel/[a-zA-Z0-9-]+Required: Yes
Response Syntax
HTTP/1.1 200
Access-Control-Allow-Origin: accessControlAllowOrigin
Access-Control-Expose-Headers: accessControlExposeHeaders
Cache-Control: cacheControl
Content-Security-Policy: contentSecurityPolicy
Strict-Transport-Security: strictTransportSecurity
X-Content-Type-Options: xContentTypeOptions
X-Frame-Options: xFrameOptions
Content-type: application/json
{
"channels": [
{
"arn": "string",
"authorized": boolean,
"containerFormat": "string",
"ingestEndpoint": "string",
"insecureIngest": boolean,
"latencyMode": "string",
"multitrackInputConfiguration": {
"enabled": boolean,
"maximumResolution": "string",
"policy": "string"
},
"name": "string",
"playbackRestrictionPolicyArn": "string",
"playbackUrl": "string",
"preset": "string",
"recordingConfigurationArn": "string",
"srt": {
"endpoint": "string",
"passphrase": "string"
},
"tags": {
"string" : "string"
},
"type": "string"
}
],
"errors": [
{
"arn": "string",
"code": "string",
"message": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The response returns the following HTTP headers.
The following data is returned in JSON format by the service.
- channels
-
Type: Array of Channel objects
- errors
-
Each error object is related to a specific ARN in the request.
Type: Array of BatchError objects
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
- exceptionMessage
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- ServiceUnavailable
-
HTTP Status Code: 503
- ValidationException
-
- exceptionMessage
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: